Bug 1023393 - [hammer-cli] subnet create --<with-all-params> fails: 500 ISE
[hammer-cli] subnet create --<with-all-params> fails: 500 ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Sachin Ghai
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 06:37 EDT by Garik Khachikyan
Modified: 2016-04-22 12:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:04:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug logs (79.73 KB, application/x-xz)
2013-10-25 06:37 EDT, Garik Khachikyan
no flags Details
katello-debug logs (1.01 MB, application/gzip)
2013-10-25 06:37 EDT, Garik Khachikyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3515 None None None 2016-04-22 12:28 EDT

  None (edit)
Description Garik Khachikyan 2013-10-25 06:37:12 EDT
Created attachment 816076 [details]
foreman-debug logs

Description of problem:
making call of hammer cli: 
`hammer --output base subnet create --name "allparams" --network "251.10.10.11" --mask "255.255.255.0" --gateway "251.10.10.255" --dns-primary "251.10.11.255" --dns-secondary "251.10.12.255" --from "251.10.10.10" --to "251.10.10.12" --vlanid "2" --domain-ids "1"` just fails with:
===
Could not create the subnet:
  Error: 500 Internal Server Error


Version-Release number of selected component (if applicable):
rubygem-hammer_cli-0.0.7-2.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.8-2.el6sat.noarch

candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-hephaestus.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-47.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-47.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
katello-cli-common-1.4.3-27.el6sat.noarch
katello-common-1.4.6-47.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-foreman-all-1.4.6-47.el6sat.noarch
katello-glue-candlepin-1.4.6-47.el6sat.noarch
katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
katello-glue-pulp-1.4.6-47.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
pulp-server-2.3.0-0.22.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.22.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.22.beta.el6sat.noarch
python-pulp-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.22.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. see above
2.
3.

Actual results:
500 - ISE

Expected results:
no exception. subnet needs to be created. Even if there is _any_ error: proper message should be returned back.

Additional info:
logs attached
Comment 1 Garik Khachikyan 2013-10-25 06:37:47 EDT
Created attachment 816077 [details]
katello-debug logs
Comment 3 Dominic Cleal 2013-10-25 08:59:46 EDT
Just for reference, the issue in this case was the domain ID "1" wasn't found.  Check /var/log/foreman/production.log in the meantime.
Comment 4 Daniel Lobato Garcia 2014-01-15 03:46:10 EST
https://github.com/theforeman/foreman/pull/1098 fixes this.
Comment 7 Dominic Cleal 2014-01-27 10:07:22 EST
Fixed in 46338cd7 (Foreman 1.4.0).
Comment 9 Sachin Ghai 2014-05-06 05:40:10 EDT
Verified with Satellite-6.0.3-RHEL-6-20140430.4

[root@qetello02 yum.repos.d]# hammer subnet create --name "allparams" --network "251.10.10.11" --mask "255.255.255.0" --gateway "251.10.10.255" --dns-primary "251.10.11.255" --dns-secondary "251.10.12.255" --from "251.10.10.10" --to "251.10.10.12" --vlanid "2" --domain-ids "1"
Subnet created


[root@qetello02 yum.repos.d]# hammer subnet info --name 'allparams'
Id:            31
Name:          allparams
Network:       251.10.10.11
Mask:          255.255.255.0
Priority:      
DNS id:        
DNS:           
Primary DNS:   251.10.11.255
Secondary DNS: 251.10.12.255
Domain ids:    
TFTP:          
TFTP id:       
DHCP:          
DHCP id:       
vlan id:       2
Gateway:       251.10.10.255
From:          251.10.10.10
To:            251.10.10.12
Comment 10 Bryan Kearney 2014-07-02 10:04:43 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.